Skip to main content
GET
Get PostgreSQL database metrics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

postgres_database_reference
string
required

Postgres database ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

Query Parameters

start
string
default:now-30m

Start time for metrics query (rfc3339 format)

Example:

"2025-05-12T11:57:24.000Z"

end
string
default:now

End time for metrics query (rfc3339 format)

Example:

"2025-05-12T11:27:24.000Z"

key
string

Key of the specific metric to retrieve

Example:

"cpu_usage"

Response

Metrics data for a Postgres Database

metrics
object[]
required